version: '3.4'

services:
  identity:
    image: ${DOCKER_REGISTRY-fw}/identity:${TAG:-latest}
    container_name: identity
    environment:
      - "TZ=Asia/Shanghai"
    #restart: on-failure
    ports:
      - "50200:80"
      - "50201:50001"

  identity-dapr:
    image: "daprio/daprd:edge"
    command: [ "./daprd", 
    "-app-id", "identity", 
    "-app-port", "80",
    "-dapr-http-port", "50202",
    "-dapr-grpc-port", "50203"
    #"-components-path", "/components",
    #"-config", "/configuration/config.yaml"
    ]
    #volumes:
    #- "./dapr/components/:/components"
    #- "./dapr/configuration/:/configuration"
    depends_on:
      - identity
    network_mode: "service:identity"

networks:
  default:
    external: true
    name: fw-dapr-network